summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
diff options
context:
space:
mode:
authorEd Kern <ejk@cisco.com>2018-03-13 11:49:05 -0600
committerEd Kern <ejk@cisco.com>2018-03-13 11:49:05 -0600
commitde41dd26f5c342c486c23d8e21bab32e58d50f0c (patch)
tree6f60f9c08608620b3f29cd30a7d0bba9420a4d24 /jjb/scripts/setup_vpp_ubuntu_docker_test.sh
parent50f36eef6881af773393fe28039cc936903c1b19 (diff)
VPP: forcing removal of old dpdk packages
this is for building older vpp branches with older dpdk releases Removes older dpdk before older version attempts to install. Using remove and install approach over downgrade for more consistent results Change-Id: I43e64e1cd281e2b51b0eb408d89cd477c686d339 Signed-off-by: Ed Kern <ejk@cisco.com>
Diffstat (limited to 'jjb/scripts/setup_vpp_ubuntu_docker_test.sh')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index aeae56f7b..1fca78215 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -29,3 +29,15 @@ elif [ "${OS_ID}" == "opensuse" ]; then
yum list installed || true
pip list || true
fi
+
+##This will remove any previously installed dpdk for old branch builds
+
+if [ "${GERRIT_BRANCH}" != "master" ]; then
+ if [ "${OS_ID}" == "ubuntu" ]; then
+ apt-get -y remove vpp-dpdk-dev || true
+ apt-get -y remove vpp-dpdk-dkms || true
+ elif [ "${OS_ID}" == "centos" ]; then
+ yum -y erase vpp-dpdk-devel || true
+ yum clean all || true
+ fi
+fi